import { InputWrap } from "./input-wrap";
import type { FormInput } from "./common";
import type { MessagesOptional, OptionalAnyMessages } from "./common";
import type { ConfigRule, LocalConfig } from "./config";
export declare class FormWrap {
    formNode: HTMLFormElement;
    inputs: InputWrap[];
    mergedConfig: LocalConfig;
    submitButton: HTMLInputElement | HTMLButtonElement | null;
    constructor(formNode: HTMLFormElement, mergedConfig: LocalConfig);
    private init;
    submitEventCallback: (event: SubmitEvent) => void;
    validate(showErrors?: boolean): boolean;
    removeRules(input: FormInput, rules?: Array<keyof OptionalAnyMessages>): void;
    addRules(input: FormInput, config: {
        rules?: ConfigRule;
        messages?: MessagesOptional;
    }): void;
    destroy(): void;
}
