import { type ValidatorFunction } from "./config";
import { type Messages } from "./common";
declare class GlobalInputValidationNext {
    validators: Map<string, {
        validator: ValidatorFunction;
        errorText: string;
        index: number;
    }>;
    messages: Map<string, string>;
    index: number;
    /**
     * Add global custom validator.
     */
    addRule(name: string, validator: ValidatorFunction, errorText: string): void;
    /**
     * Set default or custom validator messages
     */
    setRuleMessages(validatorMessages: Messages): void;
}
declare const globalInputValidationNext: GlobalInputValidationNext;
export default globalInputValidationNext;
export type globalInputValidationNext = typeof globalInputValidationNext;
