import { FormWrap } from "./form-wrap";
import type { FormInput, MessagesOptional, OptionalAnyMessages } from "./common.d.ts";
import { type UserConfig, ConfigRule, LocalConfig } from "./config";
/**
 * Public class for user.
 */
declare class Init {
    formWrap: FormWrap;
    constructor(formElement: HTMLFormElement, userConfig: LocalConfig);
    isValidForm(): boolean;
    validate(): void;
    removeRules(input: FormInput, rules?: Array<keyof MessagesOptional | (string & {})>): void;
    addRules(input: FormInput, rules: {
        rules?: ConfigRule;
        messages?: OptionalAnyMessages;
    }): void;
    destroy(): void;
}
export declare function init(formElement: HTMLFormElement | HTMLElement | null, userConfig?: UserConfig): Init;
export {};
