import { ValidatorFunction } from "./config";
export interface Rules {
    required?: true | ValidatorFunction;
    minLength?: number | ValidatorFunction;
    maxLength?: number | ValidatorFunction;
    range?: [number, number] | ValidatorFunction;
    email?: true | ValidatorFunction;
    url?: true | ValidatorFunction;
    digits?: true | ValidatorFunction;
    max?: number | ValidatorFunction;
    min?: number | ValidatorFunction;
    number?: true | ValidatorFunction;
    equalTo?: string | ValidatorFunction;
}
export type EnumRules = keyof Rules;
export declare const required: ValidatorFunction;
export declare function getLength(value: unknown, element: HTMLElement): any;
export declare const isOptional: ValidatorFunction;
export declare const minLength: ValidatorFunction;
export declare const maxLength: ValidatorFunction;
export declare const email: ValidatorFunction;
export declare const url: ValidatorFunction;
export declare const digits: ValidatorFunction;
export declare const min: ValidatorFunction;
export declare const max: ValidatorFunction;
export declare const range: ValidatorFunction;
export declare const number: ValidatorFunction;
export declare const equalTo: ValidatorFunction;
